Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1706)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 1707)
@@ -683,19 +683,12 @@
 
 	@Override
 	public String getSimpleName() {
-		// FIXME: to define
-		//		StringBuffer buffer = new StringBuffer();
-		//		buffer.append(this.columnsComputing ? "cols" : "rows"); //$NON-NLS-1$
-		//		buffer.append(this.method);
-		//		buffer.append(this.metric);
-		//		buffer.append(this.numberOfClusters);
-		if(this.hasBeenComputedOnce)	{
-			return this.getName();	
+		try {
+			return this.getName();
 		}
-		else	{
+		catch (Exception e) {
 			return this.getEmptyName();
-		}
-		
+		}	
 	}
 
 	@Override
Index: tmp/org.txm.core/src/java/org/txm/objects/Project.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1706)
+++ tmp/org.txm.core/src/java/org/txm/objects/Project.java	(revision 1707)
@@ -176,7 +176,6 @@
 
 		initRCPStuffs();
 
-		// FIXME: SJ: this code doesn't flush the other nodes (EditionsPreferences, Tokenizer, etc. see if it's a problem at this stage or not)
 		this.autoSaveParametersFromAnnotations();
 		this.saveParameters();
 		TXMPreferences.flush(this);
@@ -367,41 +366,34 @@
 	}
 
 	/**
-	 * Loads and create the persisted results from the preferences service.
+	 * Loads and creates the persisted results from the preferences service.
 	 */
 	public void loadResults(Class clazz)	{
-		//		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.AUTO_PERSISTENCE_ENABLED)) {
+
 		Log.finest("*** Project.loadResults(): reloading project persitent results...");
 
-		IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
-		//	IProject projects[] = rcpWorkspace.getRoot().getProjects();
-
-		//		Log.fine("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
-
 		ArrayList<String> resultNodePaths = TXMPreferences.getAllResultsNodePaths(this.getParametersNodeRootPath());
 
 		Log.fine("Loading " + resultNodePaths.size() + " result(s) from project " + this.getName() + "...");
 
-		
+		//TXMPreferences.dump();
+
 		ArrayList<String> errors = new ArrayList<String>();
-		for (String parametersNodePath : resultNodePaths) {
+		for (String resultNodePath : resultNodePaths) {
 
-			// skip non-TXMResult preference node
-			//				if (TXMPreferences.getString(TXMPreferences.BUNDLE_ID, nodeQualifier).isEmpty())	{
-			//					continue;
-			//				}
-
 			try {
-				Preferences node = TXMPreferences.preferencesRootNode.node(parametersNodePath);
-				String className = node.get("class", ""); //$NON-NLS-1$
+				Preferences node = TXMPreferences.preferencesRootNode.node(resultNodePath);
 				
+				
+				String className = node.get("class", ""); //$NON-NLS-1$ //$NON-NLS-2$
+				
 				// Skip Project object
 				if (Project.class.getName().equals(className))	{ // already loaded in loadProjectFromProjectScope
 					continue;
 				}
 				
 				if (className == null || className.length() == 0) {
-					errors.add(NLS.bind("Warning: can not restore object with no class name set with path={0}.", parametersNodePath)); //$NON-NLS-1$
+					errors.add(NLS.bind("Warning: can not restore object with no class name set with path={0}.", resultNodePath)); //$NON-NLS-1$
 					node.removeNode();
 					continue;
 				}
@@ -410,10 +402,10 @@
 					continue; // only load the result of class=clazz
 				}
 
-				Log.fine("\nProject.loadResults(): loading from result node qualifier " + parametersNodePath);
+				Log.fine("\nProject.loadResults(): loading from result node qualifier " + resultNodePath);
 				//Log.finest("Toolbox.initialize(): class = " + TXMPreferences.getString("class", nodeQualifier));
 				//TXMPreferences.dump();
-				TXMResult result = TXMResult.getResult(this, parametersNodePath);
+				TXMResult result = TXMResult.getResult(this, resultNodePath);
 				if (result != null) { // result already restored
 					continue;
 				}
@@ -436,7 +428,7 @@
 
 				Class<?> cl = bundle.loadClass(className);
 				Constructor<?> cons = cl.getConstructor(String.class);
-				result = (TXMResult) cons.newInstance(parametersNodePath);
+				result = (TXMResult) cons.newInstance(resultNodePath);
 
 				// not an internal persistence (eg. corpus or partition)
 				if (!result.isInternalPersistable())	{
@@ -449,10 +441,10 @@
 		}
 		if (errors.size() > 0) {
 			for (int i = 0 ; i < 20 && i < errors.size() ; i++) {
-				Log.warning(errors.get(i));
+				Log.fine(errors.get(i));
 			}
 			if (errors.size() > 20) {
-				Log.warning("more: "+(errors.size()-20)+"...");
+				Log.fine("more: "+(errors.size()-20)+"...");
 			}
 		}
 		
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1706)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 1707)
@@ -1,17 +1,8 @@
 package org.txm.chartsengine.svgbatik.rcp.swt;
-import java.awt.Component;
-import java.awt.Graphics2D;
-import java.awt.Toolkit;
-import java.awt.datatransfer.DataFlavor;
-import java.awt.datatransfer.Transferable;
-import java.awt.datatransfer.UnsupportedFlavorException;
-import java.awt.image.BufferedImage;
 import java.io.File;
-import java.io.IOException;
 import java.net.MalformedURLException;
 
 import org.eclipse.swt.widgets.Composite;
-import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.swt.SwingChartComposite;
 import org.txm.chartsengine.svgbatik.rcp.swing.SVGPanel;
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java	(revision 1706)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/SVGSWTChartsComponentsProvider.java	(revision 1707)
@@ -152,8 +152,8 @@
 				//((Element)this.composite.getSVGDocument().getFirstChild()).setAttribute("viewBox", "20 20 400 350"); // FIXME : how to get the correct area after the charts has been zoomed or moved ?
 
 				// Adjust dimensions from component
-				((Element)composite.getSVGDocument().getFirstChild()).setAttribute("width", String.valueOf(composite.getPanel().getSVGCanvas().getWidth()));
-				((Element)composite.getSVGDocument().getFirstChild()).setAttribute("height", String.valueOf(composite.getPanel().getSVGCanvas().getHeight()));
+				((Element)composite.getSVGDocument().getFirstChild()).setAttribute("width", String.valueOf(composite.getPanel().getWidth()));
+				((Element)composite.getSVGDocument().getFirstChild()).setAttribute("height", String.valueOf(composite.getPanel().getHeight()));
 
 
 				TranscoderInput input = new TranscoderInput(composite.getSVGDocument());
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGPanel.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGPanel.java	(revision 1706)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swing/SVGPanel.java	(revision 1707)
@@ -51,9 +51,9 @@
 import org.w3c.dom.svg.SVGDocument;
 
 /**
- * SVG Batik Swing panel.
+ * SVG Batik SVG canvas swing panel.
  */
-public class SVGPanel extends JPanel implements IChartComponent	{
+public class SVGPanel extends JSVGCanvas implements IChartComponent	{
 
 	protected boolean squareOffEnabled;
 
@@ -70,7 +70,7 @@
 	/**
 	 *  The Batik SVG canvas.
 	 */
-	protected JSVGCanvas svgCanvas;
+	//protected JSVGCanvas svgCanvas;
 
 
 	/**
@@ -90,15 +90,16 @@
 	 * @param frame the frame
 	 */
 	public SVGPanel()	{
-		super(new BorderLayout());
+		//super(new BorderLayout());
+		super(null, true, false);
+		
+		//this.svgCanvas = new JSVGCanvas(null, true, false);
+		//this.add("Center", svgCanvas); //$NON-NLS-1$
 
-		this.svgCanvas = new JSVGCanvas(null, true, false);
-		this.add("Center", svgCanvas); //$NON-NLS-1$
-
 		// TODO: needed for automatic refresh after dynamically modifying the SVG DOM
 		//svgCanvas.setDocumentState(JSVGCanvas.ALWAYS_DYNAMIC);
 
-		List<Interactor> list = svgCanvas.getInteractors();
+		List<Interactor> list = this.getInteractors();
 		list.clear();
 
 
@@ -216,27 +217,27 @@
 
 
 
+//
+//
+//	/**
+//	 * Loads SVG document from the specified URL.
+//	 *
+//	 * @param url the url
+//	 */
+//	public void loadSVGDocument(String url) {
+//		this.svgCanvas.loadSVGDocument(url);
+//	}
+//
+//
+//	/**
+//	 * Returns the SVG document.
+//	 * @return
+//	 */
+//	public SVGDocument getSVGDocument()	{
+//		return this.svgCanvas.getSVGDocument();
+//	}
 
 
-	/**
-	 * Loads SVG document from the specified URL.
-	 *
-	 * @param url the url
-	 */
-	public void loadSVGDocument(String url) {
-		this.svgCanvas.loadSVGDocument(url);
-	}
-
-
-	/**
-	 * Returns the SVG document.
-	 * @return
-	 */
-	public SVGDocument getSVGDocument()	{
-		return this.svgCanvas.getSVGDocument();
-	}
-
-
 	// ----------------------------------------------------------------------
 	// Interactors
 	// ----------------------------------------------------------------------
@@ -303,16 +304,16 @@
 	};
 
 
-	/**
-	 * @return the svgCanvas
-	 */
-	public JSVGCanvas getSVGCanvas() {
-		return svgCanvas;
-	}
+//	/**
+//	 * @return the svgCanvas
+//	 */
+//	public JSVGCanvas getSVGCanvas() {
+//		return svgCanvas;
+//	}
+//
 
 
 
-
 	/**
 	 * Resets pan and zoom.
 	 */
@@ -320,7 +321,7 @@
 		this.zoom = 0;
 		AffineTransform trans = AffineTransform.getTranslateInstance(0, 0);
 		trans.scale(1, 1);
-		this.svgCanvas.setRenderingTransform(trans);
+		this.setRenderingTransform(trans);
 		
 		// Square unit axis ratio constraint
 		if(this.squareOffEnabled)	{
@@ -344,10 +345,10 @@
 
 
 		if(zoomIn)	{
-			trans.scale(this.svgCanvas.getRenderingTransform().getScaleX() * 1.1, this.svgCanvas.getRenderingTransform().getScaleY() * 1.1);
+			trans.scale(this.getRenderingTransform().getScaleX() * 1.1, this.getRenderingTransform().getScaleY() * 1.1);
 		}
 		else	{
-			trans.scale(this.svgCanvas.getRenderingTransform().getScaleX() * 0.9, this.svgCanvas.getRenderingTransform().getScaleY() * 0.9);
+			trans.scale(this.getRenderingTransform().getScaleX() * 0.9, this.getRenderingTransform().getScaleY() * 0.9);
 		}
 
 //		trans.translate(-x + this.svgCanvas.getRenderingTransform().getTranslateX(), -y + this.svgCanvas.getRenderingTransform().getTranslateY());
@@ -358,7 +359,7 @@
 
 
 		if(trans.getDeterminant() != 0)	{
-			this.svgCanvas.setRenderingTransform(trans);
+			this.setRenderingTransform(trans);
 		}
 	}
 
@@ -389,7 +390,7 @@
 		trans.translate(-x, -y);
 
 		if(trans.getDeterminant() != 0)	{
-			this.svgCanvas.setRenderingTransform(trans);
+			this.setRenderingTransform(trans);
 		}
 	}
 
@@ -397,9 +398,9 @@
 	@Override
 	public void pan(double srcX, double srcY, double dstX, double dstY, double panFactor) {
 		
-		AffineTransform trans = this.svgCanvas.getRenderingTransform();
+		AffineTransform trans = this.getRenderingTransform();
 		trans.translate(-dstX * panFactor, dstY * panFactor);
-		this.svgCanvas.setRenderingTransform(trans);
+		this.setRenderingTransform(trans);
 		
 	}
 
